<?php

namespace Modules\Order\Models;

use Illuminate\Database\Eloquent\Model;
use Modules\Option\Models\Option;
use Modules\Product\Models\Product;

class Cart extends Model
{
    public $timestamps = false;
    protected $fillable =
    [
        'user_status','count','product_id','warehouse_id','option_id','user_id'
    ];

    public function product()
    {
        return $this->belongsTo(Product::class)->withTrashed();
    }
    public function option()
    {
        return $this->belongsTo(Option::class,'option_id')->withTrashed();
    }
}
